GET /ott/v1/registration/{platform}

Overview

Retrieves paginated collection of registered OTT properties by OTT Platform.

URL Parameters

<!--complex table-->
Name Type Description
platform string Required OTT Platform Name of property
$page number Page number to return from the paged results. Start with 1 and continue until you get zero results. Typically provided along with the $pagesize parameter.
$pagesize number Number of results per page to return. Typically provided along with the $page parameter.

Responses

Status Name Type Description
200     success
  count string Total count of the number of resources registered for a specific OTT network.
  page string Page Number of the results returned.
  pageSize string Page size of the results returned.
  links object Pagination links.
  links.self object Link to the current page of result set.
  links.self.href string URL to the current page of the result set.
  links.previous object Link to the previous page of result set.
  links.previous.href string URL to the previous page of the result set.
  links.next object Link to the next page of result set.
  links.next.href string URL to the next page of the result set.
  items array Indicates the name of the OTT network the resource is being registered with values: line, messenger.
  items.ottPlatformName string Indicate the name of the OTT network the resource is being registered with values: line, messenger.
  items.ottPlatformAttributes object Object containing OTT platform attributes.
  items.ottPlatformAttributes.applicationId string Facebook Application Id. Required for registering Messenger resource.
  items.ottPlatformAttributes.pageId string Facebook Page Id. Required for registering Messenger resource.
  items.ottPlatformAttributes.pageName string Facebook Page Name. Required for registering Messenger resource.
  items.ottPlatformAttributes.endpointUrl string Send API url of the OTT network.
  items.ottPlatformAttributes.isActive integer Indicate if the OTT resource is active with values: 0 (Inactive), 1 (Active).
  items.ottPlatformAttributes.channelId string LINE channel Id. Required for registering LINE resource.
  items.ottPlatformAttributes.channelName string LINE channel name. Required for registering LINE resource.
  items.ottPlatformAttributes.isTransactional integer Indicate if LINE channel is Transactional or Reseller with values: 0 (Reseller), 1 (Transactional).
  items.ottPlatformAttributes.isTestChannel integer Indicate if LINE channel is a Test channel with values: 0 (Not a test channel), 1 (test channel).
       
400     Bad Request
  message string Error message.
  errorcode number Error code.
  documentation string Documentation for the error code.
  validationErrors array Validation errors in the request payload.
       
403     Forbidden
  message string Error message.
  errorcode number Error code.
  documentation string Documentation for the error code.
       
404     Not Found
  message string Error message.
  errorcode number Error code.
  documentation string Documentation for the error code.

Usage

Example Request: Retrieve Messenger Resource Collection

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/messenger
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response: Retrieve Messenger Resource Collection

HTTP/1.1 200 OK

{
    "count": 2,
    "page": 1,
    "pageSize": 50,
    "links": {
        "self": {
            "href": "/v1/registration/messenger?%24page=1&%24pagesize=50"
        },
        "next": {
            "href": "/v1/registration/messenger?%24page=2&%24pagesize=50"
        }
    },
    "items": [
        {
            "ottPlatformName" : "messenger",
            "ottPlatformAttributes" : {
                "applicationId" : "34234534532453",
                "pageId" : "2343543434231436453",
                "pageName" : "SFMC Engineers",
                "endpointUrl" : "https://example.com/23534564423435",
                "isTransactional" : true,
                "isTestChannel": false,
                "isActive": true,
                "apiVersion" : "v2.0"
            }
        },
        {
            "ottPlatformName" : "messenger",
            "ottPlatformAttributes" : {
                "applicationId" : "1232134234",
                "pageId" : "21342354235",
                "pageName" : "Some Awesome Page",
                "endpointUrl" : "https://example.com/3124234234",
                "isTransactional" : true,
                "isTestChannel": false,
                "isActive": true,
                "apiVersion" : "v2.0"
            }
        }
    ]
}

Example Request: Retrieve LINE Resource Collection

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/line?$page=1&$pagesize=50
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response: Retrieve LINE Resource Collection

HTTP/1.1 200 OK

{
    "count": 2,
    "page": 1,
    "pageSize": 50,
    "links": {
        "self": {
            "href": "/v1/registration/line?%24page=1&%24pagesize=50"
        },
        "next": {
            "href": "/v1/registration/line?%24page=2&%24pagesize=50"
        }
    },
    "items": [
        {
            "ottPlatformName" : "line",
            "ottPlatformAttributes" : {
                "channelId" : "342135435345",
                "channelName" : "SFMC Engineers",
                "endpointUrl" : "https://example.com/213234231213",
                "isTransactional" : true,
                "isTestChannel": false,
                "isActive": true,
                "apiVersion" : "v2.0"
            }
        },
        {
            "ottPlatformName" : "line",
            "ottPlatformAttributes" : {
                "channelId" : "324345436452342345",
                "channelName" : "Some Awesome Channel",
                "endpointUrl" : "https://example.com/3124325345234234",
                "isTransactional" : true,
                "isTestChannel": false,
                "isActive": true,
                "apiVersion" : "v2.0"
            }
        }
    ]
}